Conexão VPN L2TP no Ubuntu 14.10 -- networking campo com network-manager campo com vpn camp askubuntu Relacionado O problema

vpn l2tp connection on ubuntu 14.10


2
vote

problema

português

Eu estou usando o Ubuntu 14.10 e preciso criar uma conexão VPN L2TP.

Eu instalei o strongswan, como sugerido por Esta resposta , mas agora não entendo como configurar a conexão.

Os dados de conexão que tenho disponíveis são um endereço IP, um nome de usuário, uma senha e uma tecla pré-compartilhada.

Eu tento criar a conexão usando o gerenciador de rede, mas não entendi qual opção eu tenho que selecionar. Primeira coisa: eu tenho que criar um IPSec / Ikev2 ou um PPTP VPN? Qual protocolo de autenticação eu tenho que selecionar? Onde eu insiro minha chave pré-compartilhada?

Qualquer ajuda é apreciada

english

I am using Ubuntu 14.10 and I need to create a VPN L2TP connection.

I installed strongswan, as suggested by this answer, but now I don't understand how to configure the connection.

The connection data I have available are an Ip address, a username, a password and a preshared key.

I try to create the connection using the network manager, but I don't understard which option I have to select. First thing: do I have to create an ipsec/ikev2 or a pptp vpn? Which authentication protocol do I have to select? Where do I insert my preshared key?

Any help is appreciated

        

Lista de respostas

1
 
vote

Não é a melhor maneira (porque Openswan foi removido do unicórnio (14.10) por algumas razões de segurança), mas funciona muito bem para mim:

    .
  1. Download e instale um pacote openswan apropriado do http://www.ubuntuupdates.org/pm/openswan

Eu uso o pacote Trusty (14.04) para o meu unicórnio (14.10) e funciona sem nenhum problema.

  1. Então você precisa instalar o Plugin L2TP do Gerenciador de rede. Eu uso o abaixo um , ele tem uma versão para Unicórnio:

      dd if=/dev/sda of=/dev/sdb bs=4096 conv=notrunc,noerror,sync 4   
  2. Então vá para o Gerenciador de rede, escolha Connections VPN e crie L2TP. Você só precisa configurar um nome de usuário, senha e o ipsec psk nas configurações adicionais IPsec

Espero que isso te ajude! E boa sorte

 

That's not the best way (because Openswan has been removed from Unicorn (14.10) by some security reasons), but it works pretty good for me:

  1. Download and install an appropriate Openswan package from the http://www.ubuntuupdates.org/pm/openswan

I use package trusty (14.04) for my Unicorn (14.10) and it works without any issues.

  1. Then you need to install Network Manager L2TP plugin. I use the bellow one, it has a version for Unicorn:

    sudo apt-add-repository ppa:seriy-pr/network-manager-l2tp sudo apt-get update sudo apt-get install network-manager-l2tp-gnome sudo service xl2tpd stop sudo update-rc.d xl2tpd disable 
  2. Then just go to the Network manager, choose VPN connections and create l2tp. You need only set up a username, password and the IPSec PSK in the IPSec additional settings

Hope it'll help you! And good luck

 
 
   
   
0
 
vote

@antonlugovoi - Essas instruções não funcionam mais:

  sudo apt-get install network-manager-l2tp-gnome Reading package lists... Done Building dependency tree        Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation:  The following packages have unmet dependencies.  network-manager-l2tp-gnome : Depends: network-manager-l2tp (= 0.9.8.5-0utopic1) but it is not going to be installed E: Unable to correct problems, you have held broken packages.    

Parece que o pacote OpenSwan não está mais disponível.

 

@AntonLugovoi - those instructions no longer work:

sudo apt-get install network-manager-l2tp-gnome Reading package lists... Done Building dependency tree        Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation:  The following packages have unmet dependencies.  network-manager-l2tp-gnome : Depends: network-manager-l2tp (= 0.9.8.5-0utopic1) but it is not going to be installed E: Unable to correct problems, you have held broken packages. 

It looks like package openswan is no longer available.

 
 

Perguntas relacionadas

12  Como forçar o Ubuntu a acessar a Internet apenas através de uma VPN e desativá-la quando desconectada?  ( How to force ubuntu to access the internet only through a vpn and disable it whe ) 
Devido a problemas de privacidade que eu gostaria que o Ubuntu para permitir que os aplicativos enviem tráfego para a Internet somente quando a conexão VPN ...

68  Maneira mais fácil de configurar o Ubuntu como um servidor VPN  ( Easiest way to setup ubuntu as a vpn server ) 
Eu sei que existem muitos tutoriais na rede para configurar o cliente e o servidor VPN. Eu encontre um que é simples / curto , estou interessado apenas na ...

21  Como conectar meu Ubuntu ao meu local de trabalho, GlobalProtect VPN, usando Win 7 VM  ( How to connect my ubuntu to my workplace globalprotect vpn using win 7 vm ) 
Eu quero conectar-se ao meu local de trabalho Paloalto GlobalProtect VPN. O problema: não há cliente Linux (ou eu posso usar o Linux, mas requer cooperação do...

1  Inicie o OpenVPN como um serviço Ubuntu 15.10  ( Start openvpn as a service ubuntu 15 10 ) 
Acabei de instalar o Ubuntu 15.10 e instalei o OpenVPN. Estou usando os mesmos arquivos .conf como eu tinha em 14.x no entanto, o serviço não vai começar a ...

1  Cliente Cisco VPN  ( Cisco vpn client ) 
Eu estou tendo problema com a VPN, minha guia de configuração VPN exibe apenas a configuração Ethernet Eu tentei instalar o manger VPNC e ele diz que já está ...

1  Cisco VPN AnyConnect congela  ( Cisco vpn anyconnect freezes ) 
Desde ontem (talvez algumas atualizações do sistema), a Cisco Anyconect VPN torna o congelamento do sistema quando tento se conectar. Parece um vazamento de m...

1  Lubuntu 12.10 O botão Adicionar ainda não está ativo  ( Lubuntu 12 10 the add button still not active ) 
Eu não posso parecer adicionar VPN das minhas conexões de rede. isto post semelhante não me ajuda desde que eu não posso Conecte-se à Internet com meu net...

1  Configure uma VPN, roteio samba sobre ele  ( Set up a vpn route samba over it ) 
Eu recebo 3 endereços IP do meu ISP, então depois do meu modem eu tenho um interruptor com três coisas. Dois são servidores, um é um roteador. Todos os meus c...

40  Onde estão os arquivos de configuração VPN importados pelo Gerenciador de rede salvos?  ( Where are vpn configuration files imported by network manager saved ) 
Importamos um arquivo de configuração OpenVPN que se comporta de maneira diferente ao tentar se conectar do Gerenciador de rede e da linha de comando. Eu gost...

3  Algum NetworkManager VPN Plugins suportam IPv6?  ( Do any networkmanager vpn plugins support ipv6 ) 
Faça qualquer um dos plugins do NetworkManager VPN suportam o IPv6? Os dois que eu tentei até agora (PPTP e strongswan) mostram apenas uma guia "IPv4". Eu ter...




© 2022 pergunte.org All Rights Reserved. Casa de perguntas e respostas todos os direitos reservados


Licensed under cc by-sa 3.0 with attribution required.